Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# File::Spec::Cygwin

Perl 5 version 18.2 documentation
Go to top
Show page index • Show recent pages
Recently read

# File::Spec::Cygwin

- NAME
- SYNOPSIS
- DESCRIPTION
- COPYRIGHT

# NAME

File::Spec::Cygwin - methods for Cygwin file specs

# SYNOPSIS

     require File::Spec::Cygwin; # Done internally by File::Spec if needed

# DESCRIPTION

See File::Spec and File::Spec::Unix. This package overrides the implementation of these methods, not the semantics.

This module is still in beta. Cygwin-knowledgeable folks are invited to offer patches and suggestions.

- canonpath

  Any `\` (backslashes) are converted to `/` (forward slashes), and then File::Spec::Unix canonpath() is called on the result.

- file_name_is_absolute

  True is returned if the file name begins with `drive_letter:` , and if not, File::Spec::Unix file_name_is_absolute() is called.

- tmpdir (override)

  Returns a string representation of the first existing directory from the following list:

          $ENV{TMPDIR}    /tmp    $ENV{'TMP'}    $ENV{'TEMP'}    C:/temp

  Since Perl 5.8.0, if running under taint mode, and if the environment variables are tainted, they are not used.

- case_tolerant

  Override Unix. Cygwin case-tolerance depends on managed mount settings and as with MsWin32 on GetVolumeInformation() $ouFsFlags == FS_CASE_SENSITIVE, indicating the case significance when comparing file specifications. Default: 1

# COPYRIGHT

Copyright (c) 2004,2007 by the Perl 5 Porters. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- COPYRIGHT